# From 8fa0f843e7fcf96f934856e5f0541501f077909a Mon Sep 17 00:00:00 2001
# From: Min Chen <chenm003@163.com>
# Date: Tue, 2 Jul 2013 15:57:32 +0800
# Subject: [PATCH 1/3] intrapred: transpose_32x32
intrapred: transpose_32x32

---
 source/common/vec/pixel.inc |   12 +++++++++++-
 1 files changed, 11 insertions(+), 1 deletions(-)

diff --git a/source/common/vec/pixel.inc b/source/common/vec/pixel.inc
index 540d2ef..99cae23 100644
--- a/source/common/vec/pixel.inc
+++ b/source/common/vec/pixel.inc
@@ -367,6 +367,16 @@ void transpose16(pixel* pDst, pixel* pSrc, intptr_t nStrideS)
 {
     transpose16_dummy(pDst, 16, pSrc, nStrideS);
 }
+
+void transpose32(pixel* dst, pixel* src, intptr_t strideSrc)
+{
+    assert( dst != src );
+
+    transpose16_dummy(dst,                32, src,                      strideSrc);
+    transpose16_dummy(dst + 16 * 32,      32, src + 16,                 strideSrc);
+    transpose16_dummy(dst + 16 * 32 + 16, 32, src + 16 * strideSrc + 16, strideSrc);
+    transpose16_dummy(dst + 16,           32, src + 16 * strideSrc,      strideSrc);
+}
 #endif // !HIGH_BIT_DEPTH
 
 }  // end anonymous namespace
@@ -417,7 +427,7 @@ void NAME(Setup_Vec_PixelPrimitives)(EncoderPrimitives &p)
     p.transpose[0] = transpose4;
     p.transpose[1] = transpose8;
     p.transpose[2] = transpose16;
-    p.transpose[3] = transpose<32>;
+    p.transpose[3] = transpose32;
     p.transpose[4] = transpose<64>;
 #endif
 }
-- 
1.7.9.msysgit.0

